********************************************************************************
* Well-being JFR
* created 11.01.2021, last changes: 01.10.2021
********************************************************************************

*MASTER - Recode Data-set
********************************************************************************

clear all 
capture log close 
set more off, perm
version 15
set scrollbufsize  100000
graph set window fontface "Calibri"
numlabel, add
*label language en


// Globals 
***********************
	global path "[set output path]"

	
*data 
	*new
	global data 	"$path\data" 	// recoded data set for analyses
	
	*original data 
	global data_path 	"$path\data_NEPS_or" 	// adjust 
	
		*SC5
		global orig_5 	"$data_path\SC5_D_14-0-0" 								// SC5
		global orig_5B 	"$data_path\SC5_B140_C1\02_data_consortial" 			// SC5

		*SC6
		global orig 	"$data_path\SC6_D_11-0-0" 								// SC6_D_11-0-0			
		global orig_6b 	"$data_path\SC6_B145_C1\02_data_consortial\Stata14"		// SC6-B145 Konsortialdata

		*Corona
		global orig_c 	"$data_path\Corona_CAWI_C3" // Corona

		
*recode / Log-files 
	global log 		"$path\log"		// Log-Files
	global temp 	"$path\temp"	// temporary files to clean afterwards
	global prog 	"$path\prog"	// do-files 

	cd "$prog"
	dir 

	
// install packages 
***********************
/*
		net install nepstools, from(http://nocrypt.neps-data.de/stata)
		ssc install fre, replace
		ssc install ttable2, replace	// übersichtlicher T-test 
		ssc install revrs, replace 		// reverse Kodierung Variablen und behalte Labels bei 
		ssc install distinct, replace
		ssc install pvenn, replace		// Graphik 
		net install desctable, from("https://tdmize.github.io/data/desctable")	// deskriptive Tabelle 
		ssc install diff, replace
		ssc install coefplot, replace		
		net install sg113_2, from(http://www.stata-journal.com/software/sj9-4) // modes
		ssc install catplot, replace
		net install gr0034, from (http://www.stata-journal.com/software/sj8-2) // labmask
*/	
		
		
// Do-Files 
*****************

* 1. Recode SC5/6 & link Corona Mai Cawi -> Data: Corona_NEPS.dta
**************************************************************************

do "$prog/1_NEPS_Corona_Recode.do"




