********************************************************************************
* recode pTarget-Infos & Employment Infos
********************************************************************************
 
	********************************************************************************
	* main employment / tasks 
	********************************************************************************

	use "$orig\SC6_Biography_D_${SUF}.dta", clear
	
	keep if sptype == 26
	
	keep if wave == 11
	keep if splast == 1

	fre endy
	fre endm
	
	keep if spms == 1
	
	*isid ID_t
	codebook ID_t

	drop wave sptype
	
	save "$temp\SC6_ET_W11.dta", replace
	
	
	use "$orig\SC6_spEmp_D_${SUF}.dta", clear
	
			nepsmiss _all
			numlabel _all, add force
	
	keep if subspell == 0
	save "$temp\SC6_spEmp_D_${SUF}_subs0.dta", replace
	
	use "$temp\SC6_spEmp_D_${SUF}_subs0.dta", clear

	merge 1:1 ID_t splink using "$temp\SC6_ET_W11.dta"
	
	keep if _merge == 3
	drop _merge


		
		// occupation
		tab1 ts23201_g1 ts23201_g2, m // Kldb 1988 & 2010

							
					// Branche
						tab ts23240_g1, m
						
						gen branche = .
						replace branche = 1 if ts23240_g1 > 0 & ts23240_g1 < 10
						replace branche = 2 if ts23240_g1 >= 10 & ts23240_g1 < 41 
						replace branche = 2 if ts23240_g1 == 44 
						replace branche = 3 if ts23240_g1 >= 41 & ts23240_g1 < 44
						replace branche = 4 if ts23240_g1 >= 45 & ts23240_g1 < 57
						replace branche = 5 if ts23240_g1 >= 57 & ts23240_g1 < 84
						replace branche = 6 if ts23240_g1 >= 84 & ts23240_g1 < 94
						replace branche = 7 if ts23240_g1 >= 94 & ts23240_g1 < 99
						replace branche = 6 if ts23240_g1 == 99
						replace branche = 8 if branche == .

							label variable branche "Branche"
							label define branche 1 "Agriculture/Forestry" 2 "Materials/Energy/Water" ///
							3 "Construction" 4 "Commerce/Transport/Storage/Service/Media" /// 
							5 "Commercial and Economic Services" 6 "Fromation/Education/Social services" ///
							7 "Personal care services" 8 "No categorization possible"
							label value branche branche
						
						fre branche
	
						
			// In 3 categories
			gen branche_3 = .
			replace branche_3 = 1 if branche < 4
			replace branche_3 = 2 if branche == 4 | branche == 5 | branche == 7
			replace branche_3 = 3 if branche == 6
			
			lab var branche_3 "Branche in 3 Kat"
			lab def branche_3 1 "Industrie" 2 "Dienstleistung" 3 "Verwaltung"
			lab val branche_3 branche_3 
			
		sort ID_t spell
		bysort ID_t: gen et_nr = _n
		bysort ID_t: gen et_an = _N
		fre et_nr et_an
		fre et_an if ID_t ~= ID_t[_n-1]
		
		* duration 
		gen start_epi =  ym(starty, startm)
		gen end_epi =  ym(endy, endm)

		gen dauer_epi =(end_epi + 1) - start_epi
		fre dauer_epi
		
		* income
		fre ts23510_g1
		clonevar einkommen = ts23510_g1
		replace einkommen = 0 if einkommen >= .
		
		* hours
		clonevar workinghours = ts23553
		replace workinghours = ts23219_g1 if workinghours >= .
		replace workinghours = . if workinghours == 95
		replace workinghours = 40 if ts23221 == 1 & workinghours >= .
		replace workinghours = 20 if ts23221 == 2 & workinghours >= .
		replace workinghours = 40 if ts23218 == 1 & workinghours >= .
		replace workinghours = 20 if ts23218 == 2 & workinghours >= .
		fre workinghours
		replace workinghours = 0 if workinghours >= .
		

		sort ID_t einkommen workinghours dauer_epi
		
		keep if ID_t ~= ID_t[_n+1]
			
		rename einkommen einkommen_w11
		rename workinghours workinghours_w11
		rename dauer_epi dauer_epi_w11
		rename ts23201_g1 tg76001_g1
		rename ts23201_g2 tg76001_g2


		keep ID_t einkommen_w11 workinghours_w11 dauer_epi_w11  branche branche_3 tg76001_g1 tg76001_g2
		
		save "$temp\SC6_w11_H_ET.dta", replace
		
		
		