********************************************************************************
* Corona (Mai Cawi)
* Well-being JFR
* created 18.02.2021, last changes: 18.02.
********************************************************************************

capture log close 
set more off, perm
version 16.1
set scrollbufsize  100000
graph set window fontface "Calibri"
	
	
	use ID_t sc_tr scpre sex migration* age geb_jahr cohort* casmin* isced* work hinc* log_hinc* emptype* familie* kinder_u14 kinder*_d ost grarole ///
		t514009 coretstatus corstatus etsysrel auftrag t741001 t741001_u14  ///
		etstatusaend etzeit etzeit_d? etort etort_d? etunterstuetz ///
		erwartung? sorgen? chancen ///
		corbetr_? corbetr_7_o corbetreu_7_o cornotbetr schulkind /// 			
		kindzeit kindzeitpart ///
		homelernaus homelernwohn untschulall kindzeitpart umgangstress ///
		gesundkrank gesundseel gesundalerg ///
		gra* *sat* dsat* 	///
		w_* /// 
		akt* beruf_? ///
		t527102 aktkon corinf_? corqua_? t510010 einsam_? tz_dum vz_3 interviewdatum pazeit mode vz_3 wochenstd  ///
		using "$data\Corona_NEPS.dta" if scpre==5 | scpre== 6 , clear 
	
		numlabel, add force
	
	des, short
	tab scpre sc_tr, m


* prepare weights 
	***************************************	
		gen calw3_pre = .
		replace calw3_pre = w_t11_cal if scpre==6
		replace calw3_pre = w_t14 if scpre==5
		lab var calw3_pre "kalibrierte QS-Gewichte (Corona für Erwerbstätige/Eltern - pre Corona)"	
		
		gen calw3 = .
		replace calw3 = w_tC_F_cal  
		lab var calw3 "kalibrierte QS-Gewichte (Corona für Erwerbstätige/Eltern)"	
		count if calw3_pre==. & scpre==5
		
				
		
*descriptives before reducing sample 
***************************************
tab scpre if corstatus==1

*weighted

	*pre-corona
	tabstat satlife satfam satwork  if corstatus ==1 [aweight=w_tC_cal],  statistics (mean sd n) col(stat) format(%9.2f) labelwidth(16) 
		tabstat satlife satfam satwork  if corstatus ==1 [aweight=w_tC_cal],  statistics (mean sd n) col(stat) format(%9.2f) labelwidth(16) by(sex) 
	
	*pre-corona
	tabstat csatlife csatfam csatwork  if corstatus ==1 [aweight=w_tC_cal],  statistics (mean sd n) col(stat) format(%9.2f) labelwidth(16)   
			tabstat csatlife csatfam csatwork  if corstatus ==1 [aweight=w_tC_cal],  statistics (mean sd n) col(stat) format(%9.2f) labelwidth(16) by(sex) 

*unweighted

	*pre-corona
	tabstat satlife satfam satwork  if corstatus ==1 ,  statistics (mean sd n) col(stat) format(%9.2f) labelwidth(16) 
		tabstat satlife satfam satwork  if corstatus ==1 ,  statistics (mean sd n) col(stat) format(%9.2f) labelwidth(16) by(sex) 
	
	*pre-corona
	tabstat csatlife csatfam csatwork  if corstatus ==1 ,  statistics (mean sd n) col(stat) format(%9.2f) labelwidth(16)   
			tabstat csatlife csatfam csatwork  if corstatus ==1 ,  statistics (mean sd n) col(stat) format(%9.2f) labelwidth(16) by(sex) 
		
	
	
				
* Independend Variables and Controls 
************************************************************************

* Corona Care 
*****************************

// Recode open categories

			*SC 5 und 6
			des corbetr_?
				tab corbetr_1 scpre,m 
				tab1 corbetr_1-corbetr_6, m 
			
				list ID_t corbetr_7_o if corbetr_7==1, notrim
				egen corbetr_help=rowmax(corbetr_1-corbetr_6)
				list ID_t scpre sex corbetr_1-corbetr_6 corbetr_7_o if corbetr_help==0 & corbetr_7==1	
						
				*use open answers
				
				*beide Partner 7016912 / 7031175 / 7009163 /  7014458  /  7008982  / 7012419 / 7012041 / 7005912 / 7002520 /  7002598 /  7011737 ///
								8012125  / 8004364 / 8023808 / 8007038 /  8000861 /  8004752 / 8010369 /  8004750

					recode corbetr_1 corbetr_2 (0=1) if ID_t == 7016912 | ID_t == 7031175  | ID_t == 7009163  | ID_t ==  7014458  | ID_t ==7008982 | ID_t ==  7012419  | ID_t == 7012041 | ID_t ==  7005912  | ///
														ID_t == 7002520 | ID_t == 7002598  | ID_t == 7011737  
														
					recode corbetr_1 corbetr_2 (0=1) if ID_t ==  8012125  | ID_t ==8004364 | ID_t ==  8023808  | ID_t == 8007038 | ID_t ==  8000861 | ID_t == 8004752| ID_t == 8010369   | ID_t ==  8004750   

				
				 *beide Partner + andere  7010799 /  7013776
					recode corbetr_1 corbetr_2 corbetr_4 (0=1) if ID_t == 7010799 | ID_t ==  7013776  | ID_t == 8023808  | ID_t ==  8007038  | ID_t == 8004752 | ID_t == 8012125  | ID_t == 8010369 | ID_t ==   8004364  

				 
				*Befragte(r) betreut 
					recode corbetr_1 (0=1) if ID_t==7011178 
								  
				*Partner(in) betreut 
					recode corbetr_2 (0=1) if ID_t== 7013180					
					
				*nur dritte 	
					recode corbetr_4 (0=1) if ID_t == 8004971 
				 
				*alles  8022294
					recode corbetr_1-corbetr_6 (0=1) if ID_t == 8022294
				
				*Check
				list ID_t sex corbetr_1-corbetr_6 corbetr_7_o if corbetr_help==0 & corbetr_7==1	
				drop corbetr_help

				
				// Notbetreung 
					clonevar corbetreu_not = corbetr_6 		
					tab corbetreu_not, m 

				
				// Single Carer
					
				gen caresing=.					
					
				*Befragter betreut allein (und nie mit Partner, Andere Personen, Notfallbetreuung )	
				replace caresing=1 if caresing==. & corbetr_1==1 & (corbetr_2!=1 & corbetr_2!=1 & corbetr_4!=1  & corbetr_6!=1)		
							
				*gemeinsam it irgendjemandem
				replace caresing=0 if caresing==. & (corbetr_1!=. & corbetr_2!=.) 
				
				lab def caresing 0 "shared care" 1 "single-carer" 
				lab val caresing caresing
				lab var caresing "care-arrangement"
				lab var caresing "single carer"

				tab caresing sex, m 

					*check missings 
					tab caresing kinder_u14, m 
					tab caresing kinder_u6_d, m 
					tab caresing kinder_u3_d, m 
							
					tab  corbetr_1 caresing, m
					tab  corbetr_2 caresing, m
					

* set sample for recode
************************************************************************

// no children 

	*examine child indicator
		tab kinder_u14 kinder_d , m   

		*exclude childless based on both indicators
		drop if kinder_d==0 & kinder_u14==0		
		drop if kinder_u14==0 & kinder_d==. 
		drop if kinder_u14==. & kinder_d==0

		tab kinder_u14 kinder_d , m   

*care

	tab corbetr_1 sc_tr, m 		// SC5 und 6 

	
	*check: 
	egen corbetreu_miss=rowmiss(corbetr_1-corbetr_7)	
	tab corbetreu_miss, m 

		tab corbetreu_miss kinder_d , m					
		tab scpre if corbetreu_miss==7 & kinder_d==0	
		
		tab corbetreu_miss kinder_u14 , m	
		tab scpre if corbetreu_miss==7 & kinder_u14==0	
		tab kinder_d if corbetreu_miss==7 & kinder_u14==0	
		
		*cleanv
		drop if corbetreu_miss ==7						
		drop corbetr_? corbetreu_miss	

		
* recode other  characteristics
****************************************
	
// Homeoffice
	recode etort 1 5=0 .=. else=1, gen(homeoffice)
	replace homeoffice=0 if corstatus!=1			
	
	lab var homeoffice "Homeoffice"
	
// Working Hours 
	fre etstatusaend
	replace etstatusaend=0 if corstatus==1 & etstatusaend==.
	lab def etstatusaend 0"0 keine Änderung", add	
	recode etstatusaend (0=0 "no change") (1=6 "reduced hours/no work"), gen (etstatusaend2) 
	replace etstatusaend2=0 if corstatus!=1				
	
	tab etstatusaend etstatusaend2,m 
		
	fre etzeit
	recode etzeit (3 2=0 "same+more") (0/1=1 "less"), gen(etzeit2) 
	replace etzeit2=0 if corstatus!=1				
	tab etzeit etzeit2, m 
 
	tab etstatusaend etzeit , m 
	gen kurzarbeit = inlist(etstatusaend,1,3,6) 
	replace kurzarbeit = 0 if kurzarbeit==. & etzeit>1
	replace kurzarbeit=0 if corstatus!=1				
	tab kurzarbeit etstatusaend,m 
	lab var kurzarbeit "Kurzarbeit, Freistellung ohne Lohn, Kündigung"
	
	gen verkuerzung = inlist(etstatusaend,2,4,5) 
	replace verkuerzung = 0 if verkuerzung==. & etzeit>1	
	replace verkuerzung=0 if corstatus!=1				
	tab verkuerzung etstatusaend,m 
	lab var verkuerzung "Freistellung mit Lohn, Urlaub/Überstunden, Krankschreibung"
	
	gen workmore = inlist(etzeit, 3)
	lab var workmore "mehr Arbeitszeit"
	tab workmore, m 
	
	misstable summarize kurzarbeit verkuerzung workmore 
	drop etzeit	
	
// Systemrelevanz 
	tab etsysrel corstatus, m 
	replace etsysrel=0 if corstatus!=1				
	

	gen cor = 0
	replace cor = 1 if corinf_1==0
	foreach var of varlist corinf_2-corinf_7 {
	replace cor = 1 if `var'==1
	}
	lab var cor "respondent or relatives with corona"
	tab cor, m 

// Income

	lookfor hinc
	recode hinc hinc_corona hinc_diff log_hinc (.a/.d=.)
	
		
		tab hinc if hinc_corona==9999999
			replace hinc_diff= 0 if hinc_corona==9999999
			replace hinc_corona=hinc if hinc_corona==9999999
		
	fre hinc_diff 
		replace hinc_diff = . if hinc_corona==. 
	
		*investigate variable with most missings
		egen test=rowmiss(sex age casmin migration t741001 ost kurzarbeit verkuerzung workmore etsysrel homeoffice)		
		misstable summarize hinc log_hinc hinc_corona hinc_diff if test==0
	

		*treat missings - replace pre-corona wave with corona information and vice versa
		replace hinc = hinc_corona if hinc==. & hinc_corona!=. 
		replace hinc_corona = hinc if hinc_corona==. & hinc!=. 		
		
			*replace generated income variables 
			replace hinc_diff =  hinc-hinc_corona if hinc_diff==. & hinc!=. & hinc_corona!=. 
			replace log_hinc = ln(hinc) if log_hinc==. & hinc>0 
		
		misstable summarize hinc log_hinc hinc_corona hinc_diff if test==0
	
	br hinc hinc_corona hinc_diff
		
		*estimate 10% reference value for pre-corona 
		gen inc_10_help = hinc*0.1 if hinc!=. 
		
		*set asolute value of difference 
		gen hinc_diff_pos =  hinc_diff
		replace hinc_diff_pos = abs(hinc_diff_pos)
		
		*generate indicator for income that is reduced by more than 20% of previous income 
		gen income_cov = . 
		replace income_cov = 0 if hinc_corona >= hinc & hinc_diff!=. & hinc!=. 
		replace income_cov = 0 if (hinc_corona < hinc & hinc_diff!=. & hinc!=. ) & hinc_diff_pos<inc_10_help & hinc_diff_pos!=. & inc_10_help!=. 
		replace income_cov = 1 if (hinc_corona < hinc & hinc_diff!=. & hinc!=. ) & hinc_diff_pos>=inc_10_help & hinc_diff_pos!=. & inc_10_help!=. 
		
		lab var income_cov "income during corona reduced by more than 10% of pre-corona income"
		tab income_cov, m 
		
		rename log_hinc income
		
		*clean 
		drop inc_10_help hinc_diff_pos test

		
* controls 
****************************************
	
// sex		
	tab sex scpre, m 
	
	lab def sex 0"male" 1"female", modify
	lab val sex sex 
	lab var sex "sex"
	
// migration 
	tab migration scpre, m 		
	tab migration_25 scpre,m 
	tab migration_1 scpre,m 	
	drop migration_1
					
					
// Casmin
	tab casmin scpre, m 
	recode casmin (0 1=1)	

	
// single household 
	fre t741001
	recode t741001 (1=1) (2/30=0), gen (hh_single)
	lab var hh_single "single household"
	fre hh_single
		
// household size 
	gen hh_size = t741001-1
	fre hh_size
	
// Ost
	tab ost scpre, m 

// soziale Kontakte (1 häufiger - 5 wenig häufig)
	fre aktkon 
	recode aktkon (.b /.g=.)
	lab var aktkon "few social interactions"

// Einsamkeit 

	tab1 einsam*, m 
	misstable sum einsam_1 einsam_2 
	egen einsam = rowtotal(einsam_1 einsam_2)
	lab var einsam "feeling lonely mean index"
	
// Coronainfektion im Umfeld
	tab1 corinf_1-corinf_7
		
	egen covid = rowtotal(corinf_2-corinf_6)
	tab corinf_1 covid, m 
	recode covid (0=0 "not affected") (1/5=1 "me or others affected"), gen (covid_d)
	lab var covid_d "respondent or relatives with corona"
	tab covid, m 
	
// Quarantäne im Umfeld
	tab1 corqua_1-corqua_7
		
	egen quaran = rowtotal(corqua_2-corqua_7)
	tab corqua_1 quaran, m 
	recode quaran (0=0 "not affected") (1/5=1 "me or others affected"), gen (quaran_d)
	lab var quaran "respondent or relatives with quarantine"
	tab quaran, m 
	
// Sorgen 
		egen sorgen = rowmean (sorgen1-sorgen5)
		lab var sorgen "sorgen mean index"
	
		ttable2 sorgen, by(sex) format(%9.2f)						
	
// Gesundheit 

	tab1 gesundkrank gesundseel gesundalerg, m
	des gesundkrank gesundseel gesundalerg
	
	recode gesundseel (.b=.)
	ttable2 gesundseel, by(sex) format(%9.2f)
	
	recode gesundalerg (1=5 "sehr stark") (2=4 "stark") (3=3 "teils teils") (4=2 "kaum") (5=1 "gar nicht") (.b=.), gen(gesundbetr)
	ttable2 gesundbetr, by(sex) format(%9.2f)
		
// Aktivitäten 
			
	// sport (1 täglich - 5 nie)
		fre t527102
		recode t527102 (5=1 "täglich") (4=2) (3=3) (2=4) (1=5 "nie") (.b=.) , gen(sport)
		
	// computerspiele 
		fre aktcom 

	// Musik / Kunst
		fre aktkun 
		
	// Zeitung 
		fre aktles

	// TV
		fre akttv 
		
	// nichts tun
		fre aktnich 


			
* Prepare Missings 
************************************************************************
	
	misstable summarize csatfam csatlife csatwork caresing sex migration ost t741001 casmin grarole homeoffice etsysrel etzeit2 income hinc hinc_corona hinc_diff income_cov vz_3 tz_dum pazeit

	misstable summarize csatfam csatlife csatwork caresing sex migration ost t741001 casmin grarole homeoffice etsysrel etzeit2 income hinc hinc_corona hinc_diff income_cov vz_3 tz_dum pazeit if scpre==5 
	misstable summarize csatfam csatlife csatwork caresing sex migration ost t741001 casmin grarole homeoffice etsysrel etzeit2 income hinc hinc_corona hinc_diff income_cov vz_3 tz_dum pazeit if scpre==6 
	
		
		*adjust homeoffice missings 
		gen homeoffice_or=homeoffice
		
		gen homeoffice_m = 1 if homeoffice==. 
		replace homeoffice_m = 0 if homeoffice!=. 
		tab homeoffice_m homeoffice, m 
		
		replace homeoffice=0 if homeoffice==. 
		
		
		*adjust tz missings 
		tab tz_dum scpre, m 
		
		gen tz_dum_or=tz_dum
		
		gen tz_dum_m = 1 if tz_dum==. 
		replace tz_dum_m = 0 if tz_dum!=. 
		tab tz_dum_m tz_dum, m 
		
		replace tz_dum=0 if tz_dum==. 
		
		*dual full-time
		tab pazeit vz_3, m 
		
		gen ft_couple = 0
		replace ft_couple = 1 if pazeit==0 & vz_3==3
		replace ft_couple = 0 if pazeit!=0 & vz_3!=3
		tab ft_couple, m
		
		gen ft_couple_m = 1 if pazeit==. | vz_3==. 
		replace ft_couple_m = 0 if pazeit!=. & vz_3!=. 
		tab ft_couple_m, m 
		
		gen ft_couple_or = 1 if pazeit==0 & vz_3==3
		replace ft_couple_or = 0 if pazeit!=. & vz_3<3
		tab ft_couple_or,m 
		
		
*reduce sample 
************************************************************************
fre age
drop if age>65		

tab corstatus scpre, m 
keep if corstatus==1 

drop if t741001 <=2

	
tab sex kinder_u14, m 
tab sex kinder_u6, m 	

